Help

What do I need to use this website?
To view this website, you need
  • IE 5.0+, NN 6.0+, Mozilla 1.0+, or Firefox
  • Cookies must be turned on (or at least accept cookies from comet.cls.yale.edu)
  • QuickTime browser plugin (Click here for instructions on how to configure the Quicktime browser plugin)
  • Fonts for your language (not necessary if you have Arial Unicode MS, a font which is installed with Microsoft Office 2000+)
  • I live off-campus. Why can't I access the Picture Dictionary website from home?
    Because of licensing restrictions, or individual instructors' preferences, some dictionary websites are restricted to access from computers Yale network. If you have a Yale PPP account,then you are already authenticated as part of the Yale network, and you should have no problems accessing the website. If you use another ISP, you must first log in using a Yale proxy server. The Yale University Library has provided instructions on how to do this here.  
    Who do I contact if I have any questions?
    If you have technical questions, please contact cls@yale.edu.
    If you have pedagogical/language questions, please contact your Yale language instructor for help.
    Where can I download fonts for viewing non-English pages on the website?
  • Penn State Computing with Foreign Symbols: instructions on how to configure the computer to view international fonts
  • Fontboard
  • If you have Microsoft Office, make sure Arial Unicode MS, which supports all Unicode languages